Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1810358 - pid file of rsync is re-enabled when updating overcloud stack
Summary: pid file of rsync is re-enabled when updating overcloud stack
Keywords:
Status: ON_DEV
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: zstream
: 13.0 (Queens)
Assignee: Christian Schwede (cschwede)
QA Contact: Mike Abrams
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-05 04:15 UTC by Takashi Kajinami
Modified: 2021-05-19 04:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github puppetlabs puppetlabs-rsync pull 120 0 None closed Add option to change pid_file setting 2021-03-05 13:29:11 UTC
Launchpad 1884671 0 None None None 2020-06-22 23:14:52 UTC
OpenStack gerrit 739859 0 None MERGED Configure rsyncd without pid file for Swift 2021-03-05 13:29:11 UTC

Description Takashi Kajinami 2020-03-05 04:15:33 UTC
Description of problem:

Since the following patch was introduced in stable/queens and RHOSP13,
we expect "pid file" is removed from rsyncd.conf to avoid the issue
caused by pid file remaining in the container because of some reasons
like force shutdown.

 https://review.opendev.org/#/c/577126/

This works as expected in initial deployment.
However, the swift_rsync_fix is not invoked when updating overcloud stack,
and this causes "pid file" remains in rsyncd.conf after puppet reapplies
the configuration.

Version-Release number of selected component (if applicable):
Confirmed the problem is reproduced in z10

How reproducible:
Always

Steps to Reproduce:
1. Deploy overcloud
2. see that "pid file" is not included in /var/lib/config-data/puppet-generated/swift/etc/rsyncd.conf in controller nodes
3. Update overcloud by "openstack overcloud deploy" with the exactly the same template
4. see /var/lib/config-data/puppet-generated/swift/etc/rsyncd.conf in controller nodes

Actual results:
"pid file" is added to rsyncd.conf

Expected results:
"pid file" does not exist in rsyncd.conf

Additional info:


Note You need to log in before you can comment on or make changes to this bug.